# Laravel Ignition StackOverflow Tab

## A tab that fetches stackoverflow questions

[![Total Downloads](https://img.shields.io/packagist/dt/astrotomic/ignition-stackoverflow.svg?label=Downloads&style=flat-square&cacheSeconds=600)](https://packagist.org/packages/astrotomic/ignition-stackoverflow)
[![TravisCI](https://img.shields.io/travis/Astrotomic/ignition-stackoverflow/master.svg?label=TravisCI&style=flat-square&cacheSeconds=600)](https://travis-ci.org/Astrotomic/ignition-stackoverflow)
[![StyleCI](https://styleci.io/repos/205465094/shield)](https://styleci.io/repos/205465094)
[![Latest Version](https://img.shields.io/github/v/release/Astrotomic/ignition-stackoverflow?sort=semver&label=Release&style=flat-square&cacheSeconds=600)](https://packagist.org/packages/astrotomic/ignition-stackoverflow)
[![MIT License](https://img.shields.io/github/license/Astrotomic/ignition-stackoverflow.svg?label=License&color=blue&style=flat-square&cacheSeconds=600)](https://github.com/Astrotomic/ignition-stackoverflow/blob/master/LICENSE)

This package adds a tab to your ignition screen which shows matching StackOverflow questions - including a search field.

![StackOverflow Tab](banner.jpg)

## Installation

You can install the package in to a Laravel app that uses [Ignition](https://github.com/facade/ignition) via composer:

```bash
composer require astrotomic/ignition-stackoverflow --dev
```

## Usage

Click on the "Stack Overflow" tab on your Ignition screen to see a list of matching StackOverflow questions.

### Testing

```bash
composer test
```

### Changelog

Please see [CHANGELOG](CHANGELOG.md) for more information on what has changed recently.

## Contributing

Please see [CONTRIBUTING](https://github.com/Astrotomic/.github/blob/master/CONTRIBUTING.md) for details. You could also be interested in [CODE OF CONDUCT](https://github.com/Astrotomic/.github/blob/master/CODE_OF_CONDUCT.md).

### Security

If you discover any security related issues, please check [SECURITY](https://github.com/Astrotomic/.github/blob/master/SECURITY.md) for steps to report it.

## Credits

- [Tom Witkowski](https://github.com/Gummibeer)

## License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.

## Treeware

You're free to use this package, but if it makes it to your production environment I would highly appreciate you buying the world a tree.

It’s now common knowledge that one of the best tools to tackle the climate crisis and keep our temperatures from rising above 1.5C is to [plant trees](https://www.bbc.co.uk/news/science-environment-48870920). If you contribute to my forest you’ll be creating employment for local families and restoring wildlife habitats.

You can buy trees at [offset.earth/treeware](https://plant.treeware.earth/Astrotomic/ignition-stackoverflow)

Read more about Treeware at [treeware.earth](https://treeware.earth)
